import src.methods.brice_convers.dataLoader as DataLoader

WORKING_DIRECOTRY_PATH = "SICOM_Image_Analysis/sicom_image_analysis_project/"

DataLoader = DataLoader.DataLoader(WORKING_DIRECOTRY_PATH)

def main(DataLoader):

    IMAGE_PATH = WORKING_DIRECOTRY_PATH + "images/"

    CFA_NAME = "bayer"

    DataLoader.list_images(IMAGE_PATH)

    DataLoader.compute_CFA_images(CFA_NAME)

    DataLoader.compute_reconstruction_images("menon", {"pattern": "RGB", "refining_step": True})

    DataLoader.plot_reconstructed_image(1, "menon")

    print("[INFO] End")

if __name__ == "__main__":
    main(DataLoader)
